org.apache.tinkerpop.gremlin.process.traversal.util

## Interface TraversalMetrics

- All Known Implementing Classes:
    DefaultTraversalMetrics

      public interface TraversalMetrics

  Contains the Metrics gathered for a Traversal as the result of the .profile()-step.
  Author:
    Bob Briody (http://bobbriody.com)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ELEMENT_COUNT_ID` The MetricsId used to obtain the element count via Metrics.getCount(String countKey)
    `static String` | `PERCENT_DURATION_KEY` The annotation key used to obtain the percent duration via Metrics.getAnnotation(String key)
    `static String` | `TRAVERSER_COUNT_ID` The MetricsId used to obtain the traverser count via Metrics.getCount(String countKey)

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDuration(TimeUnit unit)` Get the total duration taken by the Traversal.
    `Collection<? extends Metrics>` | `getMetrics()`
    `Metrics` | `getMetrics(int stepIndex)` Get an individual Metrics object by the index of the profiled Step.
    `Metrics` | `getMetrics(String id)` Get an individual Metrics object by the id of the profiled Step.

- - ### Field Detail

    - #### ELEMENT_COUNT_ID

          static final String ELEMENT_COUNT_ID

      The MetricsId used to obtain the element count via Metrics.getCount(String countKey)
      See Also:
        Constant Field Values

    - #### TRAVERSER_COUNT_ID

          static final String TRAVERSER_COUNT_ID

      The MetricsId used to obtain the traverser count via Metrics.getCount(String countKey)
      See Also:
        Constant Field Values

    - #### PERCENT_DURATION_KEY

          static final String PERCENT_DURATION_KEY

      The annotation key used to obtain the percent duration via Metrics.getAnnotation(String key)
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDuration

          long getDuration(TimeUnit unit)

      Get the total duration taken by the Traversal.
      Parameters:
        `unit` -
      Returns:
        total duration taken by the Traversal.

    - #### getMetrics

          Metrics getMetrics(int stepIndex)

      Get an individual Metrics object by the index of the profiled Step.
      Parameters:
        `stepIndex` -
      Returns:
        an individual Metrics object.

    - #### getMetrics

          Metrics getMetrics(String id)

      Get an individual Metrics object by the id of the profiled Step.
      Parameters:
        `id` -
      Returns:
        an individual Metrics object.

    - #### getMetrics

          Collection<? extends Metrics> getMetrics()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.